/*************************************************/
/* ledp.c  (c) Juan Gonzalez. Febrero 2005       */
/*-----------------------------------------------*/
/* Ejemplo que hace parpadear un led conectado   */
/* al bit 0 del puerto B                         */
/* La pausa no utiliza el temporizador           */
/*-----------------------------------------------*/
/* LICENCIA GPL                                  */
/*************************************************/
#include "mc68hc908gp32.h"

//---------------------------------------------------------
//-- Rutina de pausa "cutre"
//-- Se hace que el micro multiplique, para perder tiempo
//-- ENTRADAS:
//--    -ticks: Numero de veces que se repite el bucle
//----------------------------------------------------------
void pausa(unsigned int ticks)
{
	unsigned int i;
	unsigned int temp;
	
	for (i=0; i<ticks; i++) {
		temp=temp*i;
	}
}


//--------------------------
//-- Programa principal
//--------------------------
void main(void)
{
	/*----------------------------*/
	/* Configurar el sistema      */
	/*----------------------------*/
	CONFIG1|=0x01;  //-- Deshabilitar el COP
  DDRB=0xFF;      //-- Configurar Puerto B para salida
	PORTB=0x00;     //-- Poner a 0 Puerto B
	
  //-- Bucle principal
	for (;;) {
		
		//-- Cambiar el bit 0 de estado
    PORTB^=0x01;
		
		//-- Hacer una pausa. Cambiar el valor pasado como parametro
		//-- para variar la velocidad del parpadeo
		pausa(0x1000);
  }
}
