/*************************************************/
/* luces.c  (c) Juan Gonzalez. Febrero 2005      */
/*-----------------------------------------------*/
/* Juego de luces por el puerto B. Se hace hace  */
/* el efecto "coche fantastico"                  */
/*-----------------------------------------------*/
/* LICENCIA GPL                                  */
/*************************************************/
#include "mc68hc908gp32.h"

//---------------------------------------------------------
//-- Rutina de pausa "cutre"
//-- Se hace que el micro multiplique, para perder tiempo
//-- ENTRADAS:
//--    -ticks: Numero de veces que se repite el bucle
//----------------------------------------------------------
void pausa(unsigned int ticks)
{
	unsigned int i;
	unsigned int temp;
	
	for (i=0; i<ticks; i++) {
		temp=temp*i;
	}
}

//-----------------------
//-- Programa principal
//-----------------------
void main(void)
{
	unsigned char i;
	
	/*----------------------------*/
	/* Configurar el sistema      */
	/*----------------------------*/
	CONFIG1|=0x01;  //-- Deshabilitar el COP
  DDRB=0xFF;      //-- Configurar Puerto B para salida
	PORTB=0x00;     //-- Poner a 0 Puerto B

  //-- Establecer valor inicial
	PORTB=0x01;  
	
	//-- Bucle principal
	for (;;) {
		//-- Mover leds en un sentido
		for (i=0; i<7; i++) {
			pausa(0x1000);
			PORTB=(PORTB<<1);
		}
		
		//-- Mover leds en el otro sentido
		for (i=0; i<7; i++) {
			pausa(0x1000);
			PORTB=(PORTB>>1);
		}
  }	
}
